%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
Name:           puppet-horizon
Version:        10.5.0
Release:        1%{?dist}
Summary:        Puppet module for OpenStack Horizon
License:        ASL 2.0

URL:            https://launchpad.net/puppet-horizon

Source0:        https://tarballs.openstack.org/%{name}/%{name}-%{upstream_version}.tar.gz

# patches_ignore=DROP-IN-RPM
# patches_base=10.5.0
Patch0001: 0001-Switch-to-Zuul-v3-testing.patch

BuildArch:      noarch

Requires:       puppet-apache
Requires:       puppet-stdlib
Requires:       puppet-memcached
Requires:       puppet >= 2.7.0

%description
Puppet module for OpenStack Horizon

%prep
%setup -q -n openstack-horizon-%{upstream_version}

%patch0001 -p1

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/horizon/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/horizon/



%files
%{_datadir}/openstack-puppet/modules/horizon/


%changelog
* Thu Dec 21 2017 Steve Linabery <slinaber@redhat.com> 10.5.0-1
- Update to 10.5.0
- Switch to Zuul v3 testing

* Thu Sep 21 2017 Steve Linabery <slinaber@redhat.com> 10.3.1-3
- Allows for custom location to static assets

* Tue Aug 15 2017 Radomir Dopieralski <rdopiera@redhat.com> 10.3.1-2
- Horizon SSL handshake errors with apache (rhbz#1478870)

* Wed Jun 28 2017 Mike Burns <mburns@redhat.com> 10.3.1-1
- Update to 10.3.1

* Mon Apr 03 2017 Jon Schlueter <jschluet@redhat.com> 10.3.0-2
- Rectify static alias

* Fri Feb 10 2017 Alfredo Moralejo <amoralej@redhat.com> 10.3.0-1
- Update to 10.3.0


